\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Flöte"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    ragged-last-bottom = ##f
}


\addQuote "adagioOb" { \keepWithTag PARTS \adagioOb }
\addQuote "adagioEh" { \keepWithTag PARTS \adagioEh }
\addQuote "adagioKles" { \keepWithTag PARTS \adagioKles }
\addQuote "adagioKla" { \keepWithTag PARTS \adagioKla }
\addQuote "adagioBklr" { \keepWithTag PARTS \adagioBklr }
\addQuote "adagioFag" { \keepWithTag PARTS \adagioFag }
\addQuote "adagioKfg" { \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \keepWithTag PARTS \adagioTrpt }


adagioCues = {
    % \time 2/4		% 241
    % s2*30
    \cueDuring #"adagioTrpt" #DOWN { s2*7^"Trompete" } |
    \cueDuring #"adagioKles" #DOWN { s2*5^"Klarinette in Es" } |
    s2*18 |
    % \time 2/2		% 271
    % s1*12 |
    \cueDuring #"adagioTrpt" #DOWN { s1*2^"Trompete" } |
    s1*4 |
    \cueDuringWithClef #"adagioFag" #UP #"bass" { s1*2^"Fagott" } |
    \cueDuringWithClef #"adagioFag" #DOWN #"bass" { s1*4 } |
    % \time 4/4		% 283
    % s1*48 |
    s1*42 |
    \cueDuringWithClef #"adagioBklr" #DOWN #"bass" { s1*1^"Baßklarinette" } |
    \cueDuringWithClef #"adagioBklr" #UP #"bass" { s1*2 } |
    s1*3 |
    % \time 2/4		% 331
    % s2*60 |
    \cueDuring #"adagioKla" #DOWN { s2*2^"Klarinette in A" } |
    \cueDuring #"adagioKla" #UP { s2*4 } |
    s2*1 |
    \cueDuring #"adagioOb" #UP { s2*3^"Oboe" } |
    s2*18 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_"Kontrafagott" } |
    s2*27 |
    \cueDuring #"adagioEh" #DOWN { s2*1^"Englisch Horn" |
	% \time 2/2		% 391
	s1*2 |
	% \time 4/4		% 393
	% s1*46 |
	s1*1 |
    }
    s1*45 |
    % \time 2/2		% 439
    s1*7 |
    % \time 6/4		% 446
    \cueDuring #"adagioEh" #DOWN { s1.^"Englisch Horn" s2. s2 } s4 |
    s1.*3 |
    % \time 3/4		% 451
    s2.*6 |
    % \time 2/4		% 457
    s2*30 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    s1*31 | %313
    \break
    s1*17 | %330
    % \time 2/4		% 331
    % s2*60 | %390
    s2*7 | %337
    \pageBreak
    % s2*53 | %390
    s2*29 | %366
    \break
    s2*24 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    % s1*46 | %438
    % s1*38 | %430
    s1*14 | %406
    \pageBreak
    s1*24 | %430
    % \pageBreak
    s1*8 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    \pageBreak
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    % s2*30 | %486
    s2*14 | %471
    \repeat unfold 2 { s2 | }
    s2*14 | %486
    \bar "|."
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \keepWithTag PARTS \adagioFlI
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

