\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Horn I in F"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    % ragged-last-bottom = ##f
}


\addQuote "adagioOb" { \transpose f, c \keepWithTag PARTS \adagioOb }
\addQuote "adagioEh" { \transpose f, c \keepWithTag PARTS \adagioEh }
\addQuote "adagioKla" { \transpose f, c \keepWithTag PARTS \adagioKla }
\addQuote "adagioBklr" { \transpose f, c \keepWithTag PARTS \adagioBklr }
\addQuote "adagioKfg" { \transpose f, c \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \transpose f, c \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnII" { \transpose f, c \keepWithTag PARTS \adagioHrnII }
\addQuote "adagioPos" { \transpose f, c \keepWithTag PARTS \adagioPos }


adagioCues = \new CueVoice {
    \set Score.quotedCueEventTypes = #'(note-event rest-event
			tie-event beam-event tuplet-span-event
			tremolo-event tremolo-span-event)

    % \time 2/4		% 241
    % s2*30
    \cueDuring #"adagioHrnII" #DOWN { s2*3_\markup\normalsize{Horn 2} | } %243
    s2*9 | %252
    \cueDuring #"adagioOb" #UP { s2*4^\markup\normalsize{Oboe} } | %256
    s2*14 | %270
    % \time 2/2		% 271
    % s1*12 |
    s1*3 | %273
    \cueDuring #"adagioTrpt" #UP { s1*1^\markup\normalsize{Trompete} | s1*2 } | %276
    s1*6 | %282
    % \time 4/4		% 283
    % s1*48 |
    s8 \cueDuring #"adagioKla" #UP { s2..^\markup\normalsize{Klarinette in A} s1*2 } | %285
    s1*11 | %296
    \cueDuringWithClef #"adagioKfg" #UP #"F_8" { s1*3^\markup\normalsize{Kontrafagott} } | %299
    s1*23 | %322
    \cueDuring #"adagioEh" #UP { s1*2^\markup\normalsize{Englisch Horn} } | %324
    s1*6 | %330
    % \time 2/4		% 331
    % s2*60 |
    s2*12 | %342
    \cueDuring #"adagioTrpt" #UP { s2*3^\markup\normalsize{Trompete} } | %345
    s2*18 | %353
    \cueDuring #"adagioTrpt" #UP { s2*2_\markup\normalsize{Trompete} s4 } s4 | %356
    s2*13 | %369
    % \cueDuringWithClef #"adagioPos" #UP #"bass" { s2*5^\markup\normalsize{Posaune} } | %374
    \cueDuring #"adagioPos" #DOWN { s2*5^\markup\normalsize{Posaune} } | %374
    s2*6 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    % s1*46 | %439
    s1*29 | %421
    \cueDuring #"adagioKla" #UP { s1*5^\markup\normalsize{Klarinette in A} } | %426
    s1*12 | %438
    % \time 2/2		% 439
    s1*6 |
    \cueDuring #"adagioEh" #DOWN { s1_\markup\normalsize{Englisch Horn} | }
    % \time 6/4		% 446
    \cueDuring #"adagioEh" #UP { s1.*2 | }
    s1.*3 |
    % \time 3/4		% 451
    s2.*6 |
    % \time 2/4		% 457
    s2*30 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    % s1*48 | %330
    s1*24 | %306
    \noBreak
    s1*15 | %321
    \pageBreak
    s1*9 | %330
    % \time 2/4		% 331
    s2*60 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    % s1*46 | %438
    s1*9 | %401
    \pageBreak
    s1*37 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    s1.*4 | %449
    \pageBreak
    s1.*1 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    s2*30 | %486
    \bar "|."
}


\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \removeWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \keepWithTag PARTS \transpose f, c \adagioHrnI
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

