\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Kontrafagott"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    ragged-last-bottom = ##f
}


\addQuote "adagioFlI" { \transpose c c' \keepWithTag PARTS \adagioFlI }
\addQuote "adagioOb" { \transpose c c' \keepWithTag PARTS \adagioOb }
\addQuote "adagioEh" { \transpose c c' \keepWithTag PARTS \adagioEh }
\addQuote "adagioKles" { \transpose c c' \keepWithTag PARTS \adagioKles }
\addQuote "adagioKla" { \transpose c c' \keepWithTag PARTS \adagioKla }
\addQuote "adagioBklr" { \keepWithTag PARTS \adagioBklr }
\addQuote "adagioFag" { \transpose c c' \keepWithTag PARTS \adagioFag }
\addQuote "adagioTrpt" { \transpose c c' \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnI" { \transpose c c' \keepWithTag PARTS \adagioHrnI }
\addQuote "adagioVln" { \transpose c c' \keepWithTag PARTS \adagioVln }


adagioCues = {
    \set Score.quotedCueEventTypes = #'(note-event rest-event
			tie-event beam-event tuplet-span-event
			tremolo-event tremolo-span-event)

    % \time 2/4		% 241
    % s2*30
    \cueDuringWithClef #"adagioTrpt" #DOWN #"G^15" { s2*7^"Trompete" } |
    \cueDuringWithClef #"adagioKles" #DOWN #"G^15" { s2*5^"Klarinette in Es" } |
    s2*7 |
    \cueDuringWithClef #"adagioOb" #UP #"G^15" { s2*4^"Oboe" | } |
    s2*1 |
    \transposedCueDuring #"adagioBklr" #UP c' { s2*5^"Baßklarinette" } |
    s2*1 |
    % \time 2/2		% 271
    % s1*12 |
    s1*6 |
    \transposedCueDuring #"adagioFag" #UP c' { s1*2^"Fagott" } |
    \transposedCueDuring #"adagioFag" #DOWN c' { s1*2 } |
    s1*2 | %282
    % \time 4/4		% 283
    % s1*48 |
    s1*11 | %293
    \cueDuringWithClef #"adagioKla" #DOWN #"G^15" { s1*3^"Klarinette in A" } | %296
    s1*7 | %303
    \transposedCueDuring #"adagioFag" #DOWN c' { s1*1^"Fagott" | } %304
    \transposedCueDuring #"adagioFag" #UP c' { s1*3 | } %304
    s1*23 | %330
    % \time 2/4		% 331
    \cueDuringWithClef #"adagioKla" #DOWN #"G^15" { s2*2^"Klarinette in A" } | %337
    \cueDuringWithClef #"adagioKla" #UP #"G^15" { s2*4^"Klarinette in A" } | %337
    s2*1 | %338
    \cueDuringWithClef #"adagioOb" #UP #"G^15" { s2*4^"Oboe" } | %342
    s2*8 | %350
    \cueDuringWithClef #"adagioFlI" #UP #"G^15" { s2*6^"Flöte" } | %356
    \cueDuringWithClef #"adagioOb" #DOWN #"G^15" { s2*2^"Oboe" } | %358
    s2*32 | % 390
    \cueDuringWithClef #"adagioEh" #DOWN #"G^15" { s2^"Englisch Horn" | %390
	% \time 2/2		% 391
	s1*2 | %392
    }
    % \time 4/4		% 393
    % s1*46 |
    s1*1 | %393
    s2 \transposedCueDuring #"adagioBklr" #UP c' { s2^"Baßklarinette" s1 | s2 } s2 | %396
    s1*11 | %407
    \cueDuringWithClef #"adagioKles" #DOWN #"G^15" { s1*3^"Klarinette in Es" } | %410
    s1*21 | %431
    \transposedCueDuring #"adagioHrnI" #UP c' { s1*4^"Horn I" } | %435
    s1*3 | %438
    % \time 2/2		% 439
    s1*6 | %444
    \cueDuringWithClef #"adagioEh" #DOWN #"G^15" { s1^"Englisch Horn" | %445
	% \time 6/4		% 446
	s1. |
	s2.
    } s2. |
    s1.*3 | %450
    % \time 3/4		% 451
    s2.*6 |
    % \time 2/4		% 457
    % s2*30 |
    s2*25 |
    \cueDuringWithClef #"adagioVln" #UP #"G^15" { s2*3^"Geige" } |
    s2*2 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    s1*15 | %297
    \noBreak
    s1*33 | %330
    \pageBreak
    % \time 2/4		% 331
    % s2*60 | %390
    s2*22 | %352
    \break
    s2*38 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    s1*46 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    s2*23 | %479
    \break
    s2*7 | %486
    \bar "|."
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \keepWithTag PARTS \adagioKfg
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

