\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Oboe"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    % ragged-last-bottom = ##f
}


\addQuote "adagioEh" { \keepWithTag PARTS \adagioEh }
\addQuote "adagioKles" { \keepWithTag PARTS \adagioKles }
\addQuote "adagioKla" { \keepWithTag PARTS \adagioKla }
\addQuote "adagioKfg" { \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnI" { \keepWithTag PARTS \adagioHrnI }


adagioCues = {
    % \time 2/4		% 241
    % s2*30
    \cueDuring #"adagioTrpt" #DOWN { s2*7^"Trompete" } |
    \cueDuring #"adagioKles" #DOWN { s2*5^"Klarinette in Es" } |
    s2*18 |
    % \time 2/2		% 271
    % s1*12 |
    \cueDuring #"adagioTrpt" #DOWN { s1*2^"Trompete" } |
    s1*10 |
    % \time 4/4		% 283
    % s1*48 |
    \cueDuring #"adagioKla" #DOWN { s1*2^"Klarinette in A" } |
    s1*46 |
    % \time 2/4		% 331
    % s2*60 |
    s2*28 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_"Kontrafagott" } |
    s2*9 |
    \cueDuring #"adagioTrpt" #DOWN { s2*3^"Trompete" } |
    s2*15 |
    \cueDuring #"adagioEh" #DOWN { s2*1^"Englisch Horn" |
	% \time 2/2		% 391
	s1*2 |
	% \time 4/4		% 393
	% s1*46 |
	s2
    } s2 |
    s1*10 |
    \cueDuring #"adagioEh" #DOWN { s1*2^"Englisch Horn" } |
    s1*7 |
    \cueDuring #"adagioTrpt" #UP { s1*2^"Trompete" |
	s1*4 } |
    s1*13 |
    \cueDuring #"adagioHrnI" #DOWN { s1*4^"Horn I" } |
    s1*3 |
    % \time 2/2		% 439
    s1*6 |
    \cueDuring #"adagioEh" #DOWN { s1^"Englisch Horn" |
	% \time 6/4		% 446
	% s1.*5 |
	s1.*2 } |
    s1.*3 |
    % \time 3/4		% 451
    % s2.*6 |
    s2.*6 |
    % \time 2/4		% 457
    % s2*30 |
    \cueDuring #"adagioKles" #DOWN { s2*4^"Klarinette in Es" | s4 } s4 |
    s2*25 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 |
    % \time 2/2		% 271
    s1*12 |
    % \time 4/4		% 283
    s1*48 | %330
    % \time 2/4		% 331
    % s2*60 |
    s2*7 | %337
    \pageBreak
    s2*53 | %390
    % \time 2/2		% 391
    s1*2 |
    % \time 4/4		% 393
    % s1*46 | %438
    s1*19 | %411
    \noBreak
    s1*27 | %438
    % \time 2/2		% 439
    \pageBreak
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 |
    % \time 3/4		% 451
    s2.*6 |
    % \time 2/4		% 457
    s2*30 |
    \bar "|."
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
	    \new Voice {
                \keepWithTag PARTS { \adagioOb }
            }
	    \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

