\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"


\header {
    instrument = \markup{Trompete in \transposeInstr}
}


\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    ragged-last-bottom = ##f
}


\addQuote "adagioOb" { \transpose f, c \keepWithTag PARTS \adagioOb }
\addQuote "adagioEh" { \transpose f, c \keepWithTag PARTS \adagioEh }
\addQuote "adagioKla" { \transpose f, c \keepWithTag PARTS \adagioKla }
\addQuote "adagioKfg" { \transpose f, c \keepWithTag PARTS \adagioKfg }
\addQuote "adagioHrnI" { \transpose f, c \keepWithTag PARTS \adagioHrnI }


adagioCues = \new CueVoice {
    \set Score.quotedCueEventTypes = #'(note-event rest-event
			tie-event beam-event tuplet-span-event
			tremolo-event tremolo-span-event)

    % \time 2/4		% 241
    s2*30
    % \time 2/2		% 271
    s1*12 |
    % \time 4/4		% 283
    % s1*48 |
    \cueDuring #"adagioKla" #UP { s1*4^\markup\normalsize{Klarinette in A} } |
    s1*24
    \cueDuring #"adagioKla" #UP { s1*3^\markup\normalsize{Klarinette in A} |
	s4 }
    s2. |
    s1*8
    \cueDuring #"adagioEh" #UP { s1*2^\markup\normalsize{Englisch Horn} s2. } s4 |
    s1*5
    % \time 2/4		% 331
    % s2*60 |
    s2*2 |
    s8 \cueDuring #"adagioKla" #UP { s4.^\markup\normalsize{Klarinette in A} | s2*2 | s8 } s4. |
    s2*1 |
    s4 \cueDuring #"adagioOb" #UP { s4^\markup\normalsize{Oboe} | s2*2 | s4 } s4 |
    s2*17 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_\markup\normalsize{Kontrafagott} } |
    s2*28 |
    % \time 2/2		% 391
    s1*2 |
    % \time 4/4		% 393
    % s1*46 |
    s1*2 |
    \cueDuring #"adagioHrnI" #UP { s1*1^\markup\normalsize{Horn I} } |
    \cueDuring #"adagioHrnI" #DOWN { s1*3^\markup\normalsize{Horn I} } |
    s1*9 |
    \cueDuring #"adagioHrnI" #DOWN { s1*3^\markup\normalsize{Horn I} |
	s1*2 } |
    s1*19 |
    \cueDuring #"adagioHrnI" #DOWN { s1*4^\markup\normalsize{Horn I} } |
    s1*3 |
    % \time 2/2		% 439
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s1*1^\markup\normalsize{Kontrafagott} } |
    \cueDuringWithClef #"adagioKfg" #UP #"F_8" { s1*2 } |
    s1*3
    \cueDuring #"adagioEh" #DOWN { s1^\markup\normalsize{Englisch Horn}
	% \time 6/4		% 446
	s1. } |
    \cueDuring #"adagioEh" #UP { s1. }
    s1.*3 |
    % \time 3/4		% 451
    \cueDuring #"adagioHrnI" #DOWN { s2.*2^\markup\normalsize{Horn I} | s8 } s8 s2 |
    s2.*3 | %456
    % \time 2/4		% 457
    % s2*30 |
    s2*14 | %470
    % \break
    s2*16 | %486
    \barNumberCheck #487
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    s1*48 | %330
    % \time 2/4		% 331
    % s2*60 | %390
    s2*7 | %337
    \pageBreak
    s2*53 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    % s1*46 | %438
    s1*32 | %424
    \noBreak
    s1*14 | %438
    % \time 2/2		% 439
    \pageBreak
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    % s2*30 | %486
    s2*14 | %470
    \break
    s2*9 | %479
    \break
    s2*7 | %486
    \barNumberCheck #487
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \removeWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice \with {
                % \consists "Ambitus_engraver"
            } {
                \keepWithTag PARTS \transpose \transposeTrpt c \adagioTrpt
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>

    \layout {
	indent = #0
	% breakbefore = ##t
    }
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

