\version "2.19.32"

\include "common.ly"

\include "staff-bracket.ily"
\include "hauptstimme.ily"

% stuff that changes between parts and full score.
#(define markSize (if (defined? 'markSize) markSize #{ #0 #}))
#(define tempoSize (if (defined? 'tempoSize) tempoSize #{ #0 #}))
#(define clefF (if (defined? 'clefF) clefF #{ <> #}))
#(define clefG (if (defined? 'clefG) clefG #{ <> #}))
#(define transposeOttavino (if (defined? 'transposeOttavino) transposeOttavino #{ c' #}))
#(define transposeFlII (if (defined? 'transposeFlII) transposeFlII #{ c #}))
#(define octavationOttavino (if (defined? 'octavationOttavino) octavationOttavino #{ #0 #}))

Toff = { \once \override TupletBracket.bracket-visibility = ##f \once \override TupletNumber.text = \markup\null }

ffp = #(make-dynamic-script "ffp")
fpp = #(make-dynamic-script "fpp")
mfp = #(make-dynamic-script "mfp")
mfpp = #(make-dynamic-script "mfpp")

quasifMarkup = \markup{\normal-text \italic quasi \dynamic f}
quasif = #(make-dynamic-script quasifMarkup)
subitoppMarkup = \markup{\normal-text \italic subito \dynamic pp}
subitopp = #(make-dynamic-script subitoppMarkup)

PmD  = \markup\right-align\line{(m.Dpf.)}
PoD  = \markup\right-align\line{(o.Dpf.)}
Dab  = \markup\rounded-box\italic\line{Dpf. ab} 
Dauf = \markup\rounded-box\italic\line{nimmt Dpf.} 

\layout {
    \context {
	\Voice {
	    \set subdivideBeams = ##t
            \override Beam.breakable = ##t
            \override Beam.auto-knee-gap = #9
	}
    }

    \context {
        \Staff {
            \override TextSpanner.springs-and-rods = #ly:spanner::set-spacing-rods
            \override Hairpin.minimum-length = #4
        }
    }

    \context {
        \Score {
            \set quotedCueEventTypes = #'(note-event rest-event tie-event
                                          beam-event tuplet-span-event
                                          dynamic-event articulation-event)

            \override TimeSignature.style = #'numbered
            \override TimeSignature.minimum-X-extent = #'( 0 . 3.5 )

            \override RehearsalMark.font-shape = #'italic
            \override RehearsalMark.font-series = #'bold
            \override RehearsalMark.font-size = \markSize
            \override RehearsalMark.self-alignment-X = #LEFT

            \override MetronomeMark.font-shape = #'italic
            \override MetronomeMark.font-series = #'bold
            \override MetronomeMark.font-size = \markSize

            \override TextSpanner.font-shape = #'italic
            \override TextSpanner.bound-details.left.padding = #0
            \override TextSpanner.bound-details.right.padding = #2
            \override TextSpanner.bound-details.right.text = ##f
            \override TextSpanner.bound-details.left-broken.text = ##f
            \override TextSpanner.bound-details.right-broken.text = ##f
            \override TextSpanner.minimum-length-after-break = #0
            \override TextSpanner.springs-and-rods = #ly:spanner::set-spacing-rods     % obey minimum-length
            \override TextSpanner.bound-details.left.text = "NOOO this is not the intention, always use \\once"

            \override DynamicLineSpanner.font-size = #0
            \override DynamicTextSpanner.font-size = #0
            \override DynamicText.font-size = #0

            \override Hairpin.height = #0.5
        }
    }

    \context {
        \Dynamics {
            % \override TextScript.font-series = #'bold
            \override TextScript.font-shape = #'italic
            \override TextScript.font-series = #'bold
            \override TextScript.font-size = \tempoSize

            \override TextSpanner.font-series = #'bold
            \override TextSpanner.font-size = \tempoSize
        }
    }
}


hauptStimmeExplain = \markup{
\abs-fontsize #12
\override #'(line-width . 105)
\columns{
\abs-fontsize #12
\left-column{
    \wordwrap{
        \abs-fontsize #12 \hauptStart \hspace #4.0 \stimmeEnd bedeutet Hauptstimme
    }
    \wordwrap{
        \abs-fontsize #12 \nebenStart \hspace #4.0 \stimmeEnd bedeutet Nebenstimme
    }
    \wordwrap {
        \abs-fontsize #12 \hauptRhythmus \hspace #2.7 \stimmeEnd bedeutet Hauptrhythmus.
        Alles andere hat begleitend zurückzutreten.
    }
}
% \hspace #2.0
\abs-fontsize #12
\left-column{
    \wordwrap {
        \abs-fontsize #12 \hspace #1.5 \klammerStart \hspace #4.0 \stimmeEnd bedeutet,
        daß die so bezeichnete Stim- me im
        gleichen Rhythmus (akkordtonbildend) mit einer \concat{Haupt- \PHS} bzw.
        \concat{ Neben- \PNS stimme} geht, diese aber durchzulassen hat.
    }
}
}
}
